package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.GiftBoxCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.GiftBoxDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.GiftBoxUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.GiftBoxListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.GiftBoxPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.GiftBoxShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.GiftBox;

import java.util.List;

/**
 * @author shenyifei
 */
public interface GiftBoxGateway {
	GiftBox save(GiftBoxCreateCmd giftBoxCreateCmd);

	IPage<GiftBox> page(GiftBoxPageQry giftBoxPageQry);

	List<GiftBox> list(GiftBoxListQry giftBoxListQry);

	GiftBox update(GiftBoxUpdateCmd giftBoxUpdateCmd);

	GiftBox show(GiftBoxShowQry giftBoxShowQry);

	void destroy(GiftBoxDestroyCmd giftBoxDestroyCmd);
}

